Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.struts.action
Class QueryAction

`java.lang.Object
org.apache.struts.action.Action
oracle.jbo.html.struts.BC4JAction
oracle.jbo.html.struts.action.QueryAction`

public class QueryAction
extends BC4JAction

Field Summary

Fields inherited from class oracle.jbo.html.struts.BC4JAction
`context`

Fields inherited from class org.apache.struts.action.Action
`ACTION_SERVLET_KEY, APPLICATION_KEY, DATA_SOURCE_KEY, defaultLocale, ERROR_KEY, EXCEPTION_KEY, FORM_BEANS_KEY, FORWARDS_KEY, LOCALE_KEY, MAPPING_KEY, MAPPINGS_KEY, MESSAGE_KEY, MESSAGES_KEY, MULTIPART_KEY, PLUG_INS_KEY, REQUEST_PROCESSOR_KEY, servlet, SERVLET_KEY, TRANSACTION_TOKEN_KEY`

Constructor Summary
`QueryAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `perform(BC4JActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class oracle.jbo.html.struts.BC4JAction
`getForwardFromContext, perform, setContext`

Methods inherited from class org.apache.struts.action.Action
`execute, execute, generateToken, getDataSource, getDataSource, getLocale, getResources, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, perform, resetToken, saveErrors, saveMessages, saveToken, setLocale, setServlet, toHex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryAction

    public QueryAction()

Method Detail

### perform

    public org.apache.struts.action.ActionForward perform(BC4JActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.io.IOException,
                                                          javax.servlet.ServletException

  Overrides:
    `perform` in class `BC4JAction`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.